# $Revision: 1.13 $, $Date: 2011/04/29 08:29:22 $
Summary:	Polish dictionaries for VIMspell
Summary(pl.UTF-8):	Polskie słowniki dla VIMspella
Name:		vim-spell-pl
Version:	20110429
Release:	1
License:	Creative Commons License
Group:		Applications/Editors/Vim
Source0:	http://sjp.pl/slownik/ort/sjp-myspell-pl-%{version}.zip
# Source0-md5:	8af67124e4fabc0ef811a39b65a25c82
# vim-7.0/vim70/runtime/spell/pl/pl_PL.diff
Patch0:		%{name}-pl_PL.diff
URL:		http://www.sjp.pl/slownik/ort/
BuildRequires:	unzip
BuildRequires:	vim >= 4:7.0
Requires:	vim-rt >= 4:7.2.170
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim

%description
Polish dictionaries for VIMspell.

%description -l pl.UTF-8
Polskie słowniki dla VIMspella.

%prep
%setup -q -c
unzip pl_PL.zip
%patch0 -p0

%build
vim -u NONE -c 'set enc=iso-8859-2' -c 'mkspell! pl pl_PL' -c q
vim -u NONE -c 'set enc=utf-8' -c 'mkspell! pl pl_PL' -c q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_vimdatadir}/spell
cp -a *.spl $RPM_BUILD_ROOT%{_vimdatadir}/spell

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README_pl_PL.txt
%{_vimdatadir}/spell/pl.*.spl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vim-spell-pl.spec,v $
Revision 1.13  2011/04/29 08:29:22  marti
- up to 20110429

Revision 1.12  2011/01/22 15:02:35  qboosh
- updated to 20110122

Revision 1.11  2010/09/16 12:41:39  blekot
- up to 20100916

Revision 1.10  2010/08/04 13:19:38  glen
- don't use vimfiles

Revision 1.9  2009/05/31 08:39:59  amateja
- updated to 20090531

Revision 1.8  2009/02/11 11:58:40  duddits
- up to 20090211

Revision 1.7  2009/01/17 22:26:18  duddits
- up to 20090117

Revision 1.6  2008/05/30 17:26:50  adamg
- updated to 20080530

Revision 1.5  2008-05-29 20:54:21  glen
- vimdatadir is in vim-rt package; rel 2

Revision 1.4  2007-02-12 22:09:19  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.2  2006/07/06 19:35:42  rotom
- 20060706

Revision 1.1  2006/05/18 11:36:48  qboosh
- new
